Installation fails on OSX 10.6.8

Help
jazzalex
2013-10-11
2013-10-23
  • jazzalex
    jazzalex
    2013-10-11

    Hello, I am quite happy so far with qucs 0.0.13, which is delivered via fink. However, I intend to upgrade to the latest version 0.0.17 (the website version - not via fink) but the installer fails and tells me to contact the developer.

    The FAQ regarding OSX-installation-problems don't help because X11 is there and 0.0.13 does work.

    Can anyone help what to do ?

    Thanks

    Alex

     
    • Frans
      Frans
      2013-10-11

      Dear Alex,

      We are all willing to help here, but please provide us with a little
      more information.
      What error messages do you get?
      Just "failed" is not really helpful.

      Regards,

      Frans

      On 10/11/2013 11:55 AM, jazzalex wrote:

      Hello, I am quite happy so far with qucs 0.0.13, which is delivered
      via fink. However, I intend to upgrade to the latest version 0.0.17
      (the website version - not via fink) but the installer fails and tells
      me to contact the developer.

      The FAQ regarding OSX-installation-problems don't help because X11 is
      there and 0.0.13 does work.

      Can anyone help what to do ?

      Thanks

      Alex


      Installation fails on OSX 10.6.8
      https://sourceforge.net/p/qucs/discussion/311050/thread/d84fe5cc/?limit=25#6df5


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/qucs/discussion/311050/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       
      • jazzalex
        jazzalex
        2013-10-11

        Hej Frans,

        yes I understand but in fact there is not more to tell: At the end of the installation process the statement is "Installation failed - please contact the developer" (roughly translated from German to English ;-) ). There is no more info, which allows me to approach closer details.

        Nevertheless, the problem seems to deals with what Guilherme stated below and I will take care of the installation myself eventually.

        Thanks to both of you,
        best

        Alex

        P.S.: Apart from those minore issues I have to point out that qucs is just awesome and represents an important tool, which helps me a lot in my R&D-related work !

         
        • Guilherme
          Guilherme
          2013-10-13

          I just uploaded a rebuild of Mac package for 0.0.17 release.

          Please send me some feedback if you decide to try it.

          For more info about the installation, while running the .pkg (inside the .dmg), you can open the menu 'Window > Installer Log', select all messages and see how it goes.

           
          • jazzalex
            jazzalex
            2013-10-15

            Thanks for working on the update ! I just downloaded it but it failed again. Thanks for the info regarding the log, which lead to the following:

            Oct 15 21:16:54 alexander-carots-macbook-pro-3 Installer[25735]: install:didFailWithError:Error Domain=NSCocoaErrorDomain Code=512 UserInfo=0x11a7b2900 "„qucsattenuator.app“ konnte nicht nach „bin“ bewegt werden."
            Oct 15 21:16:55 alexander-carots-macbook-pro-3 Installer[25735]: Install failed: Die Installation ist aufgrund eines Fehlers fehlgeschlagen. Wenden Sie sich an den Hersteller der Software.
            Oct 15 21:16:55 alexander-carots-macbook-pro-3 Installer[25735]: IFDInstallController 33E940 state = 7
            Oct 15 21:16:55 alexander-carots-macbook-pro-3 Installer[25735]: Displaying 'Install Failed' UI.
            Oct 15 21:16:55 alexander-carots-macbook-pro-3 Installer[25735]: 'Install Failed' UI displayed message:'Die Installation ist aufgrund eines Fehlers fehlgeschlagen. Wenden Sie sich an den Hersteller der Software.'.

            So - for some reason it refuses qucsattenuator.app to be moved to bin.

            I hope this helps,
            best

            Alex

             
            • Guilherme
              Guilherme
              2013-10-15

              Can you please attach the full log? With warnings and errors selected? Or look it up on the Console logs.

              You can always find the install log opening the Console app > /var/log > install.log

              You might need to remove any trace of Qucs from your system. The installer will refuse to install if it finds other qucs*.app on your system (I don't know how to force install), even if it is on the trash bin. If you want to keep it, I suggest you zip it, delete and remove from Trash.

              There is a uninstall script on the dmg, however it might not work with older versions of Qucs. Do you have previous versions o Qucs on your system? Where from or how did you install?

               
              • jazzalex
                jazzalex
                2013-10-16

                Please find attached the full log. I had any older installatiom removed from my system but it fails in any case. Also I ran your uninstall-script and finally removed the binaries manually in /usr/local/bin/. Furthermore, the problem seems not to be related to old installations because it failed also the first time when I didn't have an older fink-qucs installed.

                Thanks for you help anyways !
                Best

                Alex

                 
                • Guilherme
                  Guilherme
                  2013-10-18

                  Alex,
                  I really don't know what to say.
                  For your information, I just tested the package on fresh Mac OSX 10.8.5 installation (running on a VirtualBox). Qucs installs/runs just fine.
                  It should also work with your 10.6.8.

                  Is there any chance you have things installed at: (?)
                  /usr/local/bin/backup/
                  /usr/local/bin/backup/qucstrans.app

                  If you have a copy of qucstrans.app relocated anywhere else on the system, it will abort the installation.

                  I wish I could fix this issue...
                  Regards, Guilherme

                   
                  • jazzalex
                    jazzalex
                    2013-10-19

                    Hi - in fact I saved the binaries in /usr/local/bin/backup/ and removing this folder did the job ! Thanks a lot - but I never had such issues before and as said even the first installation failed without having had another installtion on my machine. Anyways - glad to have that working now !

                    However, no it's becoming frustrating ;-) : Upon launch it immediately crashes (see crash log attached). When launching it from the console it states a segfault:

                    cd /usr/local/bin/qucs.app/Contents/MacOS
                    sudo qucs
                    /usr/local/bin/qucs: line 2: 37594 Segmentation fault /usr/local/bin/qucs.app/Contents/MacOS/qucs $*

                    Sorry for reporting trouble only so far ;-)

                    Best

                    Alex

                     
                    Last edit: jazzalex 2013-10-19
                    Attachments
                    • Guilherme
                      Guilherme
                      2013-10-19

                      Hi,
                      There is no need to sudo.
                      Try to create the directory: $ mkdir ~/.qucs
                      I recall a bug fixed after the release. Qucs was not creating this directory.
                      The crash is not helping, it was stripped of debug info.
                      Let me know how it goes.

                       
                      • jazzalex
                        jazzalex
                        2013-10-19

                        Hello Guilherme,

                        creating the directoy didn't solve the issue. The crash is still there. As a next step I will install the recent OSX binary on another machine (also 10.6.8) and a 10.8.X, which I have access to in order to figure if this might be OS related. In parallel (if I find a minute) I will compile it myself and will give feedback in any case.

                        There is no need to sudo.

                        Sure but it makes a difference:

                        Without being root:

                        macbook-pro-3:bin soulalex$ cd qucs.app/Contents/MacOS/
                        macbook-pro-3:MacOS soulalex$ ./qucs
                        Illegal instruction

                        With being root:

                        macbook-pro-3:MacOS soulalex$ sudo ./qucs
                        Password:
                        Segmentation fault

                        Best

                        Alex

                         
                        • Guilherme
                          Guilherme
                          2013-10-20

                          Can you please try this out: https://dl.dropboxusercontent.com/u/29028094/qucs/qucs-0.0.17-min10.6.zip

                          It is just the Qucs GUI recompiled with -mmacosx-version-min=10.6

                           
                          • jazzalex
                            jazzalex
                            2013-10-21

                            Right on - this one works ! I haven't checked the details yet but it launches up nicely and my schematics of version 0.0.13 work as well.

                            Thumbs up !

                            Alex

                             
                            Last edit: jazzalex 2013-10-21
                            • Guilherme
                              Guilherme
                              2013-10-22

                              Great! I will look it up what it takes to get it down to 10.5, than I will repackage. It currently fails to compile with 10.5, there are some bits missing on my system...
                              Later on I will kindly ask you to test it once again.
                              Regards, Guilherme

                               
                            • Guilherme
                              Guilherme
                              2013-10-22

                              Hi Alex,

                              I rebuild the whole package aiming at -mmacosx-version-min=10.5.

                              If you have the time, Would you please give it another try?

                              The package (111MB):
                              https://dl.dropboxusercontent.com/u/29028094/qucs/qucs-0.0.17-min10.5/qucs-0.0.17-macosx-10.5-intel.dmg

                              Some examples you can extract into your ~/.qucs/ directory (11KB):
                              https://dl.dropboxusercontent.com/u/29028094/qucs/qucs-0.0.17-min10.5/testset_small_prj.zip

                              Please test the verilog example, and if you have a compiler installed also the vhdl example.

                              Please let me know how it goes, then we will make sure it is good for OSX 10.6 up to 10.8.

                              Regards,
                              Guilherme

                               
                              • jazzalex
                                jazzalex
                                2013-10-22

                                Allright - the installer works as well, good job ! One thing I noticed when running the simulation (of any schematic): After the simulation is finished the application crash window appears and tells that qucs has crashed (but it actually hasn't). Then one can proceed as usual and it seems that the message has no effect at all.

                                Please test the verilog example, and if you have a compiler >>installed also the vhdl example.

                                Not done yet but will do later.

                                Talk soon,
                                best

                                Alex

                                 
            • Guilherme
              Guilherme
              2013-10-15

              For the record, I also had this issue while testing the installer. It was installing over the already existing binaries which I forgot to uninstall:

              Oct 13 17:15:43 Guilhermes-MacBook-Pro.local Installer[96634]: install:didFailWithError:Error Domain=NSCocoaErrorDomain Code=516 "“qucsattenuator.app” couldn’t be moved to “bin” because an item with the same name already exists." UserInfo=0x7fc344b25700 {NSSourceFilePathErrorKey=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandboxManager/2.sandbox/Root/usr/local/bin/qucsattenuator.app, NSUserStringVariant=(
                  ), NSDestinationFilePath=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandboxManager/2.sandbox/Root/usr/local/bin/qucs.app, NSFilePath=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandboxManager/2.sandbox/Root/usr/local/bin/qucsattenuator.app, NSUnderlyingError=0x7fc344b24fe0 "The operation couldn’t be completed. File exists"}
              

              Only after I cleared /usr/local/bin of qucs* the installation went thru.

               
  • Guilherme
    Guilherme
    2013-10-11

    Hi Alex,

    A few points:

    0) Your schematics from 0.0.13 should work just fine on 0.0.17, but please make a backup anyway!

    1) There is an issue with the latest .dmg I provided here on SourceForge. The issue is related with the permissions on the bundled Qt libraries. It is sorted out by now, but I haven't had the time to make a new bundle.

    2) The website and FAQ are terribly outdated on what refers to Mac OSX (I will try to update it along the weekend).

    A few alternatives:
    a) Fink, do it yourself or ask people from Fink to update the package to Qucs 0.0.17, see references below.
    b) MacPorts, they recently started to update their port to 0.0.17 [1].
    c) Homebrew, I have a formula for it [2].
    d) try to compile it yourself, if you can get the dependencies sorted out [3].

    Let me know if you need further assistance.

    Regards, Guilherme

    [1] https://trac.macports.org/ticket/40640
    [2] https://github.com/guitorri/homebrew-tap/blob/master/qucs.rb
    [3] https://github.com/guitorri/qucs/wiki/Compiling-Qucs-on-OS-X

     
  • jazzalex
    jazzalex
    2013-10-23

    Just to avoid confusion: Now continueing the discussion and the end of this thread:

    I have to correct myself: In the latest OSX version in fact the qucs GUI doesn not crash but the simation does - this is what I misinterpretated. I will figure more details asap.

     
  • Guilherme
    Guilherme
    2013-10-23

    Is there any crash report after the simulation? Does it show the progress bar? Which example were you running?
    Perhaps you know that you can always find the crash reports back on the: Console app > User Diagnostic Reports.
    Can you just try out solver, running on the Terminal: $qucsator -h
    I guess I will have to compile with debug symbols to track down where it is crashing. I should have done it in first place...
    Thank you for your help so far!